Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2836313002: BoxLayout now suports per-view margins. (Closed)

Created:
6 months, 4 weeks ago by kylix_rd
Modified:
5 months, 2 weeks ago
Reviewers:
Peter Kasting, sky
CC:
chromium-reviews, tfarina, robliao
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

BoxLayout now suports per-view margins. Call BoxLayout::SetViewMargins(view, margins) to set the amount of space for each side of the control. Review-Url: https://codereview.chromium.org/2836313002 Cr-Commit-Position: refs/heads/master@{#477955} Committed: https://chromium.googlesource.com/chromium/src/+/3c489a82647c5e33a6e4fae55bc1a30d87c87d91

Patch Set 1 #

Total comments: 11

Patch Set 2 : Clarifications, comments, and logic changes #

Patch Set 3 : BoxLayout now uses Margins property on the view #

Total comments: 1

Patch Set 4 : Added margin collapsing and a BoxLayout example #

Total comments: 45

Patch Set 5 : Refactor Combobox and Textfield creation into common functions #

Patch Set 6 : BoxLayoutExample complete #

Patch Set 7 : Comments, constant identifiers, removed ViewListener and ExampleModel #

Patch Set 8 : Adjust cross-axis margin to be the max of all margins or insets #

Patch Set 9 : Added unit tests. Fixed GetPreferredSize() calculations. Refactored some code. #

Total comments: 11

Patch Set 10 : Added example comment. Addressed other feedback. #

Patch Set 11 : Moved view properties to separate file. #

Patch Set 12 : Fixed crash in example and added ability to control size of child panels. #

Patch Set 13 : Uncollapsed margins in the cross-axis now align the views #

Patch Set 14 : Fixed BoxLayout for unit tests #

Patch Set 15 : Adjusted cross-axis calculations to better account for existing margins from other, larger peer vie… #

Patch Set 16 : Fix for BoxLayout unittests #

Total comments: 22

Patch Set 17 : Refactoring, style and formatting changes #

Total comments: 26

Patch Set 18 : More cleanup. #

Patch Set 19 : Better preferred size calculations and corrected layout for the cross axis. #

Total comments: 2

Patch Set 20 : Cross axis wasn't collapsing and didn't handle the leading/trailing edges correctly. Clarify what h… #

Patch Set 21 : When cross axis alignment is START or END, only collapse the anchoring edge when collapse_margins_s… #

Patch Set 22 : Remove unused local variable. #

Patch Set 23 : Don't collapse cross axis margins with adjacent margins in STRETCH or CENTER. #

Total comments: 4

Patch Set 24 : Fixed comment describing the BoxLayout behavior. #

Total comments: 28

Patch Set 25 : Merged with master. Removed cached orientation_ from ViewWrapper. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1351 lines, -54 lines) Patch
M ui/views/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +2 lines, -0 lines 0 comments Download
M ui/views/examples/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +2 lines, -0 lines 0 comments Download
A ui/views/examples/box_layout_example.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +107 lines, -0 lines 0 comments Download
A ui/views/examples/box_layout_example.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +439 lines, -0 lines 0 comments Download
M ui/views/examples/examples_window.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +2 lines, -0 lines 0 comments Download
M ui/views/layout/box_layout.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 6 chunks +158 lines, -5 lines 0 comments Download
M ui/views/layout/box_layout.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 11 chunks +361 lines, -48 lines 0 comments Download
M ui/views/layout/box_layout_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 2 chunks +238 lines, -0 lines 0 comments Download
M ui/views/view.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +3 lines, -1 line 0 comments Download
A ui/views/view_properties.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +24 lines, -0 lines 0 comments Download
A ui/views/view_properties.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +15 lines, -0 lines 0 comments Download
Trybot results:  chromium_presubmit   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   win_chromium_rel_ng   linux_chromium_chromeos_asan_rel_ng   win_chromium_x64_rel_ng   linux_chromium_asan_rel_ng   android_n5x_swarming_rel   linux_android_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   ios-device   linux_chromium_tsan_rel_ng   chromium_presubmit   ios-simulator   cast_shell_linux   win_chromium_rel_ng   android_n5x_swarming_rel   android_clang_dbg_recipe   mac_chromium_rel_ng   win_clang   mac_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   cast_shell_android   android_arm64_dbg_recipe   linux_android_rel_ng   win_chromium_compile_dbg_ng   linux_chromium_headless_rel   android_compile_dbg   linux_chromium_chromeos_rel_ng   ios-device-xcode-clang   ios-simulator-xcode-clang   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   win_chromium_x64_rel_ng   android_cronet   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   ios-device   chromium_presubmit   ios-simulator   linux_chromium_tsan_rel_ng   cast_shell_linux   win_chromium_rel_ng   mac_chromium_rel_ng   android_clang_dbg_recipe   android_n5x_swarming_rel   win_clang   mac_chromium_compile_dbg_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   cast_shell_android   linux_chromium_chromeos_rel_ng   linux_chromium_headless_rel   win_chromium_compile_dbg_ng   android_cronet   linux_android_rel_ng   android_compile_dbg   ios-device-xcode-clang   ios-simulator-xcode-clang   chromeos_daisy_chromium_compile_only_ng   win_chromium_x64_rel_ng   linux_chromium_asan_rel_ng   android_arm64_dbg_recipe 

Messages

Total messages: 187 (88 generated)
kylix_rd
Here's the initial cut at adding per-view margins to BoxLayout. If this passes muster, I'll ...
6 months, 4 weeks ago (2017-04-25 14:24:23 UTC) #3
sky
https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc#newcode15 ui/views/layout/box_layout.cc:15: : view_(nullptr), layout_(nullptr), margins_(0, 0, 0, 0){}; (0,0,0,0) is ...
6 months, 4 weeks ago (2017-04-25 17:28:59 UTC) #4
Peter Kasting
My needs are minimal -- I won't have cases with adjacent margins, so collapsing behavior ...
6 months, 4 weeks ago (2017-04-25 21:43:34 UTC) #5
sky
https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc#newcode306 ui/views/layout/box_layout.cc:306: gfx::Size BoxLayout::GetPreferredSizeForChildWidth(const View* host, It seems like what you're ...
6 months, 4 weeks ago (2017-04-25 22:46:07 UTC) #6
kylix_rd
https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc#newcode15 ui/views/layout/box_layout.cc:15: : view_(nullptr), layout_(nullptr), margins_(0, 0, 0, 0){}; On 2017/04/25 ...
6 months, 3 weeks ago (2017-04-26 17:41:33 UTC) #8
sky
https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc#newcode34 ui/views/layout/box_layout.cc:34: const_cast<View*>(view_)->SetBounds( On 2017/04/26 17:41:33, kylix_rd wrote: > On 2017/04/25 ...
6 months, 3 weeks ago (2017-04-26 19:57:07 UTC) #12
kylix_rd
This patch addresses more feedback and also moves to using a class property on View ...
6 months, 3 weeks ago (2017-04-27 18:58:01 UTC) #15
sky
Could you please clarify what 'more feedback'? Specifically are you still working on the patch ...
6 months, 3 weeks ago (2017-04-27 22:21:45 UTC) #18
kylix_rd
On 2017/04/27 22:21:45, sky wrote: > Could you please clarify what 'more feedback'? Specifically are ...
6 months, 3 weeks ago (2017-04-28 13:26:21 UTC) #19
sky
On 2017/04/26 17:41:33, kylix_rd wrote: > https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc > File ui/views/layout/box_layout.cc (right): > > https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc#newcode15 > ...
6 months, 3 weeks ago (2017-04-28 19:20:59 UTC) #20
kylix_rd
On 2017/04/28 19:20:59, sky wrote: > On 2017/04/26 17:41:33, kylix_rd wrote: > > > https://codereview.chromium.org/2836313002/diff/1/ui/views/layout/box_layout.cc ...
6 months, 3 weeks ago (2017-05-02 20:37:39 UTC) #21
sky
Glad to hear it! Don't hesitate to ask questions if I wasn't clear in my ...
6 months, 3 weeks ago (2017-05-03 00:03:09 UTC) #22
kylix_rd
On 2017/05/03 00:03:09, sky wrote: > Glad to hear it! > > Don't hesitate to ...
6 months, 2 weeks ago (2017-05-03 18:29:22 UTC) #23
sky
I believe Peter is out of the office right now, so I'm not sure he ...
6 months, 2 weeks ago (2017-05-04 03:51:09 UTC) #24
kylix_rd
Here's BoxLayout with full margin collapsing. I've also got most of the work done on ...
6 months, 2 weeks ago (2017-05-09 16:24:16 UTC) #26
sky
https://codereview.chromium.org/2836313002/diff/40001/ui/views/view.h File ui/views/view.h (right): https://codereview.chromium.org/2836313002/diff/40001/ui/views/view.h#newcode1705 ui/views/view.h:1705: VIEWS_EXPORT extern const ui::ClassProperty<gfx::Insets*>* const kMarginsKey; Please move this ...
6 months, 2 weeks ago (2017-05-09 19:26:04 UTC) #29
kylix_rd
Some things were already addressed in a subsequent patch prior to the comments. Others are ...
6 months, 2 weeks ago (2017-05-09 20:07:06 UTC) #30
sky
https://codereview.chromium.org/2836313002/diff/80001/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/80001/ui/views/layout/box_layout.cc#newcode350 ui/views/layout/box_layout.cc:350: void BoxLayout::AdjustCrossAxisForMargin(const ViewWrapper& child, On 2017/05/09 20:07:06, kylix_rd wrote: ...
6 months, 2 weeks ago (2017-05-09 23:55:29 UTC) #31
kylix_rd
As for the unification of the cross-axis margins, I'll think about that some more. My ...
6 months, 1 week ago (2017-05-10 15:30:37 UTC) #32
sky
Peter should weigh in on this, but again my thinking is that we will end ...
6 months, 1 week ago (2017-05-10 16:12:18 UTC) #37
Peter Kasting
It seems like there are generally two routes to go with most of the cross-axis ...
6 months, 1 week ago (2017-05-10 18:07:36 UTC) #41
kylix_rd
Based on Peter's highly detailed and epic ASCII art illustration, this patch implements (1). It ...
6 months, 1 week ago (2017-05-10 20:35:19 UTC) #42
kylix_rd
This includes some unit tests which will ensure margins are taken into account and/or collapsed ...
6 months, 1 week ago (2017-05-11 19:59:53 UTC) #49
sky
Peter, I stared at your ASCII art for a good ten minutes and couldn't make ...
6 months, 1 week ago (2017-05-12 14:03:10 UTC) #52
kylix_rd
On 2017/05/12 14:03:10, sky wrote: > Peter, > > I stared at your ASCII art ...
6 months, 1 week ago (2017-05-12 15:25:53 UTC) #53
sky
On 2017/05/12 15:25:53, kylix_rd wrote: > On 2017/05/12 14:03:10, sky wrote: > > Peter, > ...
6 months, 1 week ago (2017-05-12 19:41:43 UTC) #54
Peter Kasting
On 2017/05/12 19:41:43, sky wrote: > I'm advocating for something like 1, but not quite. ...
6 months, 1 week ago (2017-05-12 19:59:16 UTC) #55
sky
In earlier email threads I thought we wanted to head toward a place where views ...
6 months, 1 week ago (2017-05-14 14:04:25 UTC) #56
Peter Kasting
On 2017/05/14 14:04:25, sky wrote: > In earlier email threads I thought we wanted to ...
6 months, 1 week ago (2017-05-15 17:06:29 UTC) #57
sky
(3) it is. Will review shortly. On Mon, May 15, 2017 at 10:06 AM, <pkasting@chromium.org> ...
6 months, 1 week ago (2017-05-15 18:18:17 UTC) #58
sky
GAH! Sorry, that should be (1) it is. Will review shortly. On Mon, May 15, ...
6 months, 1 week ago (2017-05-15 18:18:34 UTC) #59
sky
On 2017/05/15 18:18:34, sky wrote: > GAH! Sorry, that should be (1) it is. Will ...
6 months, 1 week ago (2017-05-15 20:28:24 UTC) #60
sky
I got part way through this before realizing what you implemented isn't what Peter wants. ...
6 months, 1 week ago (2017-05-15 20:29:10 UTC) #61
Peter Kasting
On 2017/05/15 20:28:24, sky wrote: > On 2017/05/15 18:18:34, sky wrote: > > GAH! Sorry, ...
6 months, 1 week ago (2017-05-15 21:15:33 UTC) #62
sky
On 2017/05/15 21:15:33, Peter Kasting wrote: > On 2017/05/15 20:28:24, sky wrote: > > On ...
6 months, 1 week ago (2017-05-15 21:44:53 UTC) #63
Peter Kasting
On 2017/05/15 21:44:53, sky wrote: > On 2017/05/15 21:15:33, Peter Kasting wrote: > > Then ...
6 months, 1 week ago (2017-05-15 21:53:03 UTC) #64
kylix_rd
On 2017/05/15 21:53:03, Peter Kasting wrote: > On 2017/05/15 21:44:53, sky wrote: > > On ...
6 months, 1 week ago (2017-05-16 13:34:01 UTC) #65
kylix_rd
On 2017/05/16 13:34:01, kylix_rd wrote: > On 2017/05/15 21:53:03, Peter Kasting wrote: > > On ...
6 months, 1 week ago (2017-05-16 16:21:35 UTC) #66
kylix_rd
On 2017/05/16 16:21:35, kylix_rd wrote: > On 2017/05/16 13:34:01, kylix_rd wrote: > > On 2017/05/15 ...
6 months, 1 week ago (2017-05-16 17:37:08 UTC) #67
kylix_rd
Still need to separate the view property into a separate file, and maybe add more ...
6 months, 1 week ago (2017-05-16 18:45:48 UTC) #68
kylix_rd
New patches. Moved view properties to separate files. Fixed crash reported by pkasting@ in the ...
6 months ago (2017-05-17 18:14:03 UTC) #75
kylix_rd
OK, this patch *should* get the functionality nailed down. In the non-collapsed margin mode, the ...
6 months ago (2017-05-18 17:06:14 UTC) #80
Peter Kasting
On 2017/05/18 17:06:14, kylix_rd wrote: > OK, this patch *should* get the functionality nailed down. ...
6 months ago (2017-05-18 17:10:46 UTC) #83
kylix_rd
On 2017/05/18 17:10:46, Peter Kasting wrote: > On 2017/05/18 17:06:14, kylix_rd wrote: > > OK, ...
6 months ago (2017-05-18 19:16:16 UTC) #86
kylix_rd
On 2017/05/18 19:16:16, kylix_rd wrote: > On 2017/05/18 17:10:46, Peter Kasting wrote: > > On ...
6 months ago (2017-05-19 18:53:17 UTC) #91
Peter Kasting
On 2017/05/19 18:53:17, kylix_rd wrote: > On 2017/05/18 19:16:16, kylix_rd wrote: > > On 2017/05/18 ...
6 months ago (2017-05-19 19:02:21 UTC) #92
kylix_rd
On 2017/05/19 19:02:21, Peter Kasting wrote: > On 2017/05/19 18:53:17, kylix_rd wrote: > > On ...
6 months ago (2017-05-19 19:25:02 UTC) #93
sky
On 2017/05/19 19:02:21, Peter Kasting wrote: > On 2017/05/19 18:53:17, kylix_rd wrote: > > On ...
6 months ago (2017-05-19 22:06:48 UTC) #94
Peter Kasting
On 2017/05/19 22:06:48, sky wrote: > Peter, I encourage you to put up a patch ...
6 months ago (2017-05-19 22:09:51 UTC) #95
kylix_rd
Ok, I will freely admit this was one of the most challenging patches I've done ...
6 months ago (2017-05-23 20:51:39 UTC) #97
sky
https://codereview.chromium.org/2836313002/diff/360001/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/360001/ui/views/layout/box_layout.cc#newcode30 ui/views/layout/box_layout.cc:30: } else if (orientation_ == Orientation::kHorizontal) { style guide ...
5 months, 4 weeks ago (2017-05-24 21:28:51 UTC) #102
kylix_rd
https://codereview.chromium.org/2836313002/diff/360001/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/360001/ui/views/layout/box_layout.cc#newcode30 ui/views/layout/box_layout.cc:30: } else if (orientation_ == Orientation::kHorizontal) { On 2017/05/24 ...
5 months, 4 weeks ago (2017-05-25 14:32:17 UTC) #105
sky
https://codereview.chromium.org/2836313002/diff/380001/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/380001/ui/views/layout/box_layout.cc#newcode117 ui/views/layout/box_layout.cc:117: ViewWrapper next(this, NextVisibleView(i)); move after visible check. https://codereview.chromium.org/2836313002/diff/380001/ui/views/layout/box_layout.cc#newcode167 ui/views/layout/box_layout.cc:167: ...
5 months, 4 weeks ago (2017-05-25 19:16:52 UTC) #108
kylix_rd
leading/trailing is a *much* better name. Thanks. https://codereview.chromium.org/2836313002/diff/380001/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/380001/ui/views/layout/box_layout.cc#newcode117 ui/views/layout/box_layout.cc:117: ViewWrapper next(this, ...
5 months, 4 weeks ago (2017-05-25 20:11:20 UTC) #111
sky
https://codereview.chromium.org/2836313002/diff/380001/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/380001/ui/views/layout/box_layout.cc#newcode493 ui/views/layout/box_layout.cc:493: gfx::Size non_child_size = NonChildSize(host_); On 2017/05/25 20:11:19, kylix_rd wrote: ...
5 months, 4 weeks ago (2017-05-25 22:37:27 UTC) #114
kylix_rd
In the immortal words of Bullwinkle Moose, "This time for sure!"... After correcting an issue ...
5 months, 3 weeks ago (2017-05-30 20:43:43 UTC) #115
sky
On 2017/05/30 20:43:43, kylix_rd wrote: > In the immortal words of Bullwinkle Moose, "This time ...
5 months, 3 weeks ago (2017-05-31 14:53:54 UTC) #116
sky
Also, I did have one comment on the name below. Please correct me if I'm ...
5 months, 3 weeks ago (2017-05-31 15:25:15 UTC) #117
kylix_rd
https://codereview.chromium.org/2836313002/diff/420001/ui/views/layout/box_layout.h File ui/views/layout/box_layout.h (right): https://codereview.chromium.org/2836313002/diff/420001/ui/views/layout/box_layout.h#newcode63 ui/views/layout/box_layout.h:63: // |collapse_margins_spacing| parameter controls whether or not adjacent On ...
5 months, 3 weeks ago (2017-05-31 15:44:57 UTC) #118
sky
Fair enough. Please make this clear in the description. Thanks! On Wed, May 31, 2017 ...
5 months, 3 weeks ago (2017-05-31 15:49:13 UTC) #119
kylix_rd
On 2017/05/31 14:53:54, sky wrote: > On 2017/05/30 20:43:43, kylix_rd wrote: > > In the ...
5 months, 3 weeks ago (2017-05-31 17:02:22 UTC) #120
sky
On Wed, May 31, 2017 at 10:02 AM, <kylixrd@chromium.org> wrote: > On 2017/05/31 14:53:54, sky ...
5 months, 3 weeks ago (2017-05-31 19:53:11 UTC) #123
kylix_rd
On 2017/05/31 19:53:11, sky wrote: > On Wed, May 31, 2017 at 10:02 AM, <mailto:kylixrd@chromium.org> ...
5 months, 3 weeks ago (2017-05-31 20:49:38 UTC) #124
Peter Kasting
On 2017/05/31 20:49:38, kylix_rd wrote: > Pardon me while I wipe the egg off my ...
5 months, 3 weeks ago (2017-05-31 20:53:51 UTC) #125
kylix_rd
On 2017/05/31 20:53:51, Peter Kasting wrote: > On 2017/05/31 20:49:38, kylix_rd wrote: > > Pardon ...
5 months, 3 weeks ago (2017-05-31 21:00:41 UTC) #126
Peter Kasting
On 2017/05/31 21:00:41, kylix_rd wrote: > In this instance the cross axis alignment being set ...
5 months, 3 weeks ago (2017-05-31 21:07:55 UTC) #127
kylix_rd
Now, when the cross axis alignment is START or END and collapse is false, only ...
5 months, 3 weeks ago (2017-06-01 16:06:11 UTC) #130
Peter Kasting
On 2017/06/01 16:06:11, kylix_rd wrote: > Now, when the cross axis alignment is START or ...
5 months, 3 weeks ago (2017-06-01 18:08:40 UTC) #135
kylix_rd
On 2017/06/01 18:08:40, Peter Kasting wrote: > On 2017/06/01 16:06:11, kylix_rd wrote: > > Now, ...
5 months, 3 weeks ago (2017-06-01 20:07:30 UTC) #136
Peter Kasting
On 2017/06/01 20:07:30, kylix_rd wrote: > On 2017/06/01 18:08:40, Peter Kasting wrote: > > On ...
5 months, 3 weeks ago (2017-06-01 20:25:48 UTC) #137
kylix_rd
On 2017/06/01 20:25:48, Peter Kasting wrote: > On 2017/06/01 20:07:30, kylix_rd wrote: > > On ...
5 months, 3 weeks ago (2017-06-01 20:28:29 UTC) #138
Peter Kasting
On 2017/06/01 20:28:29, kylix_rd wrote: > OK :)... this is almost going back to what ...
5 months, 3 weeks ago (2017-06-01 20:38:38 UTC) #139
kylix_rd
On 2017/06/01 20:38:38, Peter Kasting wrote: > On 2017/06/01 20:28:29, kylix_rd wrote: > > OK ...
5 months, 3 weeks ago (2017-06-01 20:41:05 UTC) #140
kylix_rd
On 2017/06/01 20:41:05, kylix_rd wrote: > On 2017/06/01 20:38:38, Peter Kasting wrote: > > On ...
5 months, 2 weeks ago (2017-06-02 16:21:35 UTC) #141
Peter Kasting
On 2017/06/02 16:21:35, kylix_rd wrote: > The more I think about this, I think the ...
5 months, 2 weeks ago (2017-06-02 17:40:07 UTC) #142
kylix_rd
On 2017/06/02 17:40:07, Peter Kasting wrote: > On 2017/06/02 16:21:35, kylix_rd wrote: > > The ...
5 months, 2 weeks ago (2017-06-02 17:52:17 UTC) #143
sky
Allen, Can you please clarify what state this patch is in? If it's not what ...
5 months, 2 weeks ago (2017-06-02 20:44:58 UTC) #149
kylix_rd
On 2017/06/02 20:44:58, sky wrote: > Allen, > > Can you please clarify what state ...
5 months, 2 weeks ago (2017-06-02 20:53:39 UTC) #150
kylix_rd
Here's the current sitch'. For the cross axis, in START and END alignment mode, only ...
5 months, 2 weeks ago (2017-06-05 15:48:09 UTC) #153
sky
I had always thought collapsing is only useful along the main axis. Do we actually ...
5 months, 2 weeks ago (2017-06-05 15:51:03 UTC) #154
Peter Kasting
On 2017/06/05 15:51:03, sky wrote: > I had always thought collapsing is only useful along ...
5 months, 2 weeks ago (2017-06-05 15:57:10 UTC) #155
kylix_rd
On 2017/06/05 15:57:10, Peter Kasting wrote: > On 2017/06/05 15:51:03, sky wrote: > > I ...
5 months, 2 weeks ago (2017-06-05 16:29:39 UTC) #156
Peter Kasting
Not really :(
5 months, 2 weeks ago (2017-06-05 16:37:08 UTC) #157
sky
On Mon, Jun 5, 2017 at 9:29 AM, <kylixrd@chromium.org> wrote: > On 2017/06/05 15:57:10, Peter ...
5 months, 2 weeks ago (2017-06-05 17:24:37 UTC) #158
sky
I got hung up on the docs and didn't make it to the actual implementation. ...
5 months, 2 weeks ago (2017-06-05 17:26:54 UTC) #159
kylix_rd
On 2017/06/05 17:24:37, sky wrote: > On Mon, Jun 5, 2017 at 9:29 AM, <mailto:kylixrd@chromium.org> ...
5 months, 2 weeks ago (2017-06-05 17:48:09 UTC) #160
Peter Kasting
That all looks correct to me.
5 months, 2 weeks ago (2017-06-05 18:04:43 UTC) #161
kylix_rd
On 2017/06/05 18:04:43, Peter Kasting wrote: > That all looks correct to me. <Pops cork ...
5 months, 2 weeks ago (2017-06-05 18:17:08 UTC) #162
sky
On 2017/06/05 17:48:09, kylix_rd wrote: > On 2017/06/05 17:24:37, sky wrote: > > On Mon, ...
5 months, 2 weeks ago (2017-06-05 20:30:53 UTC) #165
sky
https://codereview.chromium.org/2836313002/diff/540001/ui/views/layout/box_layout.cc File ui/views/layout/box_layout.cc (right): https://codereview.chromium.org/2836313002/diff/540001/ui/views/layout/box_layout.cc#newcode27 ui/views/layout/box_layout.cc:27: if (axis == HORIZONTAL_AXIS) use {} https://codereview.chromium.org/2836313002/diff/540001/ui/views/layout/box_layout.cc#newcode33 ui/views/layout/box_layout.cc:33: } ...
5 months, 2 weeks ago (2017-06-05 21:04:11 UTC) #166
kylix_rd
https://codereview.chromium.org/2836313002/diff/520001/ui/views/layout/box_layout.h File ui/views/layout/box_layout.h (right): https://codereview.chromium.org/2836313002/diff/520001/ui/views/layout/box_layout.h#newcode64 ui/views/layout/box_layout.h:64: // spacing/margins are collapsed base on the max of ...
5 months, 2 weeks ago (2017-06-06 18:22:35 UTC) #170
sky
LGTM - yay!
5 months, 2 weeks ago (2017-06-06 21:19:06 UTC) #175
kylix_rd
On 2017/06/06 21:19:06, sky wrote: > LGTM - yay! WooHoo! Do we have another LGxM ...
5 months, 2 weeks ago (2017-06-07 17:40:47 UTC) #176
sky
You don't actually need one, but if you want him to verify this meets his ...
5 months, 2 weeks ago (2017-06-07 19:26:09 UTC) #177
kylix_rd
On 2017/06/07 19:26:09, sky wrote: > You don't actually need one, but if you want ...
5 months, 2 weeks ago (2017-06-07 20:04:46 UTC) #178
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836313002/580001
5 months, 2 weeks ago (2017-06-07 20:05:28 UTC) #180
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/387580)
5 months, 2 weeks ago (2017-06-07 21:27:43 UTC) #182
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836313002/580001
5 months, 2 weeks ago (2017-06-08 13:15:41 UTC) #184
commit-bot: I haz the power
5 months, 2 weeks ago (2017-06-08 14:13:41 UTC) #187
Message was sent while issue was closed.
Committed patchset #25 (id:580001) as
https://chromium.googlesource.com/chromium/src/+/3c489a82647c5e33a6e4fae55bc1...

Powered by Google App Engine
This is Rietveld efc10ee0f